import { ElementRef, AfterViewInit, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class EditorComponent implements ControlValueAccessor, AfterViewInit {
    editorRef: ElementRef;
    value: string;
    placeholder: string;
    name: string;
    forId: string;
    uiChange: EventEmitter<string>;
    private editor;
    private onChange;
    private onTouched;
    ngAfterViewInit(): void;
    focus(): void;
    writeValue(_val: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
